[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGIFImage.FinalizeReader

Updates the image when the reader has finished loading the image content.

## Declaration

Source position: graphics.pp line 1904

`protected procedure TGIFImage.FinalizeReader(`
`AReader: TFPCustomImageReader`
`); override;`

## Arguments

`AReader` |  | FCL-compatible reader for the image type.

## Description

Ensures that image properties discovered using the reader class are applied to the properties in the GIF image.

Calls the inherited method on entry. Copies values found in AReader to the following properties:

- Transparent
- Interlaced
- BitsPerPixel

FinalizeReader is called from the ReadStream method when the reader class has loaded the image content into a TLazIntfImage instance.

## See also

TFPImageBitmap.FinalizeReader |  | Finalizes the FCL image reader when a read operation has been completed.